Get SpeechCredentials
curl --request GET \
--url https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentialsimport requests
url = "https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentials"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/Accounts/{account_sid}/SpeechCredentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"created_at": "2021-05-07T23:19:05.000Z",
"last_tested": "2021-05-28T16:06:10.000Z",
"last_used": "2021-05-07T23:48:49.000Z",
"speech_credential_sid": "a9d27e9e-a909-41d1-aef1-bf61e6148e23",
"stt_tested_ok": 0,
"tts_tested_ok": 0,
"use_for_stt": 1,
"use_for_tts": 1,
"vendor": "aws"
},
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"created_at": "2021-05-07T00:50:11.000Z",
"last_tested": "2021-05-28T16:06:10.000Z",
"last_used": "2021-05-25T03:06:49.000Z",
"service_key": "{\"type\":\"service_account\",\"project_id\":\"inner-lightning-354000\", \"private_key_id\":\"*****\"}",
"speech_credential_sid": "ee2f5954-6822-4baf-8039-ae6976394c6d",
"stt_tested_ok": 1,
"tts_tested_ok": 1,
"use_for_stt": 1,
"use_for_tts": 1,
"vendor": "google"
}
]v1
Get SpeechCredentials
Retrieve all SpeechCredentials associated with your account
GET
/
v1
/
Accounts
/
{account_sid}
/
SpeechCredentials
Get SpeechCredentials
Path Parameters
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Response
200 - application/json
Get SpeechCredentials
Example:
"5f8e8f60-4771-44cb-92a6-94ea66df0450"
Example:
"2021-05-07T23:19:05.000Z"
Example:
"2021-05-28T16:06:10.000Z"
Example:
"2021-05-07T23:48:49.000Z"
Example:
"{\"type\":\"service_account\",\"project_id\":\"inner-lightning-354000\", \"private_key_id\":\"*****\"}"
Example:
"a9d27e9e-a909-41d1-aef1-bf61e6148e23"
Example:
0
Example:
0
Example:
1
Example:
1
Example:
"aws"
Example:
[
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"created_at": "2021-05-07T23:19:05.000Z",
"last_tested": "2021-05-28T16:06:10.000Z",
"last_used": "2021-05-07T23:48:49.000Z",
"speech_credential_sid": "a9d27e9e-a909-41d1-aef1-bf61e6148e23",
"stt_tested_ok": 0,
"tts_tested_ok": 0,
"use_for_stt": 1,
"use_for_tts": 1,
"vendor": "aws"
},
{
"account_sid": "5f8e8f60-4771-44cb-92a6-94ea66df0450",
"created_at": "2021-05-07T00:50:11.000Z",
"last_tested": "2021-05-28T16:06:10.000Z",
"last_used": "2021-05-25T03:06:49.000Z",
"service_key": "{\"type\":\"service_account\",\"project_id\":\"inner-lightning-354000\", \"private_key_id\":\"*****\"}",
"speech_credential_sid": "ee2f5954-6822-4baf-8039-ae6976394c6d",
"stt_tested_ok": 1,
"tts_tested_ok": 1,
"use_for_stt": 1,
"use_for_tts": 1,
"vendor": "google"
}
]
⌘I

